# TSimpleMouseAction Class Reference
[Base Classes for plugins]

Inheritance diagram for TSimpleMouseAction:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Track (IMCGraphicContext *gc, int16 stage, TMCPoint &first, TMCPoint &prev, TMCPoint &cur, boolean moved, IShMouseAction **nextAction)
## Static Public Member Functions
static void | PostSimpleMouseAction (const TMCPoint &inWhere, TBasicPart *trackingPart)
## Public Attributes
| STANDARD_RELEASE
## Protected Member Functions
| TSimpleMouseAction (TBasicPart *trackingPart)
| ~TSimpleMouseAction ()
## Protected Attributes
TBasicPart * | fTrackingPart

## Constructor & Destructor Documentation

TSimpleMouseAction::TSimpleMouseAction | ( | TBasicPart * | trackingPart | ) | `[protected]`

TSimpleMouseAction::~TSimpleMouseAction | ( |  | ) | `[protected]`

## Member Function Documentation

static void TSimpleMouseAction::PostSimpleMouseAction | ( | const TMCPoint & | inWhere,
|  | TBasicPart * | trackingPart |
| ) |  |  | `[static]`

virtual void MCCOMAPI TSimpleMouseAction::Track | ( | IMCGraphicContext * | gc,
|  | int16 | stage,
|  | TMCPoint & | first,
|  | TMCPoint & | prev,
|  | TMCPoint & | cur,
|  | boolean | moved,
|  | IShMouseAction ** | nextAction |
| ) |  |  | `[virtual]`

Called each time the mouse moves. At least, Track() is called three times (even if the mouse does not move).

Note:
  The nextAction parameter must return 'this' to continue the current action, or a pointer to a new action, or NULL if the tracking should stop and the Action be discarded.
  The TMCPoint arguments are input values, but they can also be used as output values. This is useful to force the initial position of the mouse to be in the middle of a handle. Constraints on the 'cur' position should be handled in Constrain().

Parameters:

  | gc | Graphic context for the mouse action
  | stage | kShBeginTracking, kShContinueTracking, or kShEndTracking. Tells the function what stage of tracking we're in.
  | first | Initial mouse position when this action started tracking
  | prev | Previous mouse position from the previous call of Track()
  | cur | Current mouse position
  | moved | Pass true here if the mouse has moved since the last call to Track()
  | nextAction | Returns a pointer to the next action whose Track() to call. See note in function description.

Reimplemented from TBasicMouseAction.

## Member Data Documentation

TBasicPart* TSimpleMouseAction::fTrackingPart`[protected]`

TSimpleMouseAction::STANDARD_RELEASE

The documentation for this class was generated from the following file:

- BasicMCFCOMImplementations.h